Bug 429402 - logrotate script should set missinok
logrotate script should set missinok
Product: Fedora
Classification: Fedora
Component: tor (Show other bugs)
All Linux
low Severity low
: ---
: ---
Assigned To: Enrico Scholz
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2008-01-19 05:15 EST by David Juran
Modified: 2008-12-08 08:05 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2008-11-26 09:14:20 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description David Juran 2008-01-19 05:15:53 EST
Description of problem:
If you just install tor but never start it, /var/log/tor will be empty and
logrotate will email you an error message every day. Adding the parameter
"missingok" to /etc/logrotate.d/tor ought to remedy the problem.

Version-Release number of selected component (if applicable):

How reproducible:
Every time

Steps to Reproduce:
1. yum install tor-core
2. wait for the email from logrotate
Actual results:

Expected results:

Additional info:
Comment 1 Peter Bieringer 2008-02-27 02:02:54 EST
Can confirm problem and solution.
Comment 2 Fedora Update System 2008-07-20 09:37:41 EDT
tor- has been submitted as an update for Fedora 8
Comment 3 Fedora Update System 2008-07-23 03:02:49 EDT
tor- has been pushed to the Fedora 8 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update tor'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F8/FEDORA-2008-6576
Comment 4 Bug Zapper 2008-11-26 04:29:01 EST
This message is a reminder that Fedora 8 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 8.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '8'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 8's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 8 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
Comment 5 David Juran 2008-11-26 09:14:20 EST
Seems to be fixed in tor- in Fedora 10
Comment 6 Fedora Update System 2008-12-07 06:34:40 EST
tor- has been submitted as an update for Fedora 8.
Comment 7 Fedora Update System 2008-12-08 08:05:28 EST
tor- has been pushed to the Fedora 8 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.